module posmva_struct_mod
  use  base_struct_mod
  implicit none

  type posmva_par

    type(axis)         :: ax, ay, az, aw
    type(axis)         :: arx, ary, avx, avy
    type(block)        :: wblock
    character(len=5)   :: oper
    integer            :: nxpad_beg, nxpad_end
    integer            :: nypad_beg, nypad_end
    integer            :: jx1, jx2, jy1, jy2
    integer            :: pdip, nvrf, ntpx, ntpy
    integer            :: ompchunk, nth, nwstep
    real               :: trick
    logical            :: radian

    character(len=256) :: bS_, dS_, D_, bI_, dI_, bP_

  end type
end module
